> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Topic

> Update the name or description of an existing topic.

Update topic metadata.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the topic.
</ParamField>

### Body Parameters

<ParamField body="name" type="string">
  New topic name.
</ParamField>

<ParamField body="description" type="string">
  New topic description.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">The topic ID.</ResponseField>
  <ResponseField name="name" type="string">The updated topic name.</ResponseField>
  <ResponseField name="description" type="string">The updated description.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.mailofly.com/api/v1/topics/top_123 \
    -H "Authorization: Bearer mf_live_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Product Updates & Changelog"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "id": "top_123",
      "name": "Product Updates & Changelog",
      "description": "Weekly digests on new features and product improvements"
    }
  }
  ```
</ResponseExample>


## Related topics

- [Update Contact Topics](/api/contacts/update-contact-topics.md)
- [Topics](/audience/topics.md)
- [Create Topic](/api/topics/create-topic.md)
- [Why use Topics?](/guides/sending/why-use-topics.md)
- [Update Webhook](/api/webhooks/update-webhook.md)
